[arch-commits] Commit in xf86vidmodeproto/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 21 21:44:45 EDT 2009


    Date: Tuesday, April 21, 2009 @ 21:44:44
  Author: eric
Revision: 36397

upgpkg: xf86vidmodeproto 2.2.2-2
    Added license

Modified:
  xf86vidmodeproto/trunk/PKGBUILD

----------+
 PKGBUILD |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-22 01:43:07 UTC (rev 36396)
+++ PKGBUILD	2009-04-22 01:44:44 UTC (rev 36397)
@@ -3,17 +3,19 @@
 
 pkgname=xf86vidmodeproto
 pkgver=2.2.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Video Mode extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('f00844a63d6e76b69eb0eb5e41eed843')
 sha1sums=('4a228958879eb06206d13f4f09ec902f837fb8dd')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list